Bug 195765 - Monodoc takes ownership of directories it shouldn't
Monodoc takes ownership of directories it shouldn't
Product: Fedora
Classification: Fedora
Component: monodoc (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Paul F. Johnson
Fedora Extras Quality Assurance
: Reopened
Depends On:
  Show dependency treegraph
Reported: 2006-06-17 10:56 EDT by Brian Pepple
Modified: 2007-11-30 17:11 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-07-04 11:21:41 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Brian Pepple 2006-06-17 10:56:29 EDT
Description of problem:  Monodoc is taking ownership of directories that it
shouldn't.  For proof of this, run 'rpm -qf /usr/lib/mono' & 'rpm -qf
/usr/lib/mono/gac' which should be owned by the mono-core package.

Also, why wasn't this built for FC5?
Comment 1 Paul F. Johnson 2006-06-17 11:51:08 EDT
Thanks - I'll get that fixed.

It's not in core as until monodevelop is available, it's pointless to do so as
the app doesn't work standalone. 
Comment 2 Brian Pepple 2006-06-17 12:08:06 EDT
Actually, other mono packages can use it (for instance daap-sharp).
Comment 3 Gérard Milmeister 2006-06-21 13:39:42 EDT
In fact monodoc does not take ownership of directories that it should,
namely /usr/lib/monodoc.
Comment 4 Brian Pepple 2006-06-21 13:59:26 EDT
Gérard is correct.  You should be using '%{_libdir}/%{name}/' instead of how
your currently handling.  This will also take ownership of any children
directories.  This seems to be a common problem for you, and I would suggest
working with a mentor or your sponsor so this doesn't occur with any future
packages you submit to FE.
Comment 5 Paul F. Johnson 2006-06-21 19:19:18 EDT
#4 okay, help me here to understand

In the spec file, I have a number of lines such as


monodoc takes ownership of them.

Are you saying that all I need is 


and not the lines currently there?

I actually have the %{_libdir}/%{name}/ bit in 1.1.13-10 but changed it for
1.1.13-12 (probably after misreading something!)
Comment 6 Brian Pepple 2006-06-21 19:39:56 EDT

You can replace this:

With this:

This will give you ownership of %{_libdir}/%{name}, and all it's children
directories and files.
Comment 7 Paul F. Johnson 2006-06-21 20:12:06 EDT
Thanks - fixed and should be in the next push
Comment 8 Gérard Milmeister 2006-06-22 18:13:00 EDT
I don't want to appear picky :-) but shouldn't /usr/lib/mono/monodoc be
owned too? (version monodoc-1.1.13-13.fc5)

Note You need to log in before you can comment on or make changes to this bug.